### Hierarchy

- Script

## Index

### Constructors

- constructor

### Methods

- runInContext
- runInNewContext
- runInThisContext

## Constructors

### constructor

- new Script(code: string, options?: ScriptOptions): Script

- - Defined in node_modules/@types/node/vm.d.ts:52

  #### Parameters

  - ##### code: string

  - ##### Optional options: ScriptOptions

  #### Returns Script

## Methods

### runInContext

- runInContext(contextifiedSandbox: Context, options?: RunningScriptOptions): any

- - Defined in node_modules/@types/node/vm.d.ts:54

  #### Parameters

  - ##### contextifiedSandbox: Context

  - ##### Optional options: RunningScriptOptions

  #### Returns any

### runInNewContext

- runInNewContext(sandbox?: Context, options?: RunningScriptOptions): any

- - Defined in node_modules/@types/node/vm.d.ts:55

  #### Parameters

  - ##### Optional sandbox: Context

  - ##### Optional options: RunningScriptOptions

  #### Returns any

### runInThisContext

- runInThisContext(options?: RunningScriptOptions): any

- - Defined in node_modules/@types/node/vm.d.ts:56

  #### Parameters

  - ##### Optional options: RunningScriptOptions

  #### Returns any

Generated using TypeDoc